summaryrefslogtreecommitdiffstats
path: root/chrome/installer/linux/debian/prerm
diff options
context:
space:
mode:
Diffstat (limited to 'chrome/installer/linux/debian/prerm')
-rwxr-xr-xchrome/installer/linux/debian/prerm18
1 files changed, 18 insertions, 0 deletions
diff --git a/chrome/installer/linux/debian/prerm b/chrome/installer/linux/debian/prerm
new file mode 100755
index 0000000..1cbef42
--- /dev/null
+++ b/chrome/installer/linux/debian/prerm
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Remove icon from the system menu
+XDG_DESKTOP_MENU="`which xdg-desktop-menu 2> /dev/null`"
+UPDATE_MENUS="`which update-menus 2> /dev/null`"
+if [ ! -x "$XDG_DESKTOP_MENU" ]; then
+ echo "Error: Could not find xdg-desktop-menu" >&2
+ exit 1
+fi
+"$XDG_DESKTOP_MENU" uninstall @@INSTALLDIR@@/@@PACKAGE@@.desktop
+
+if [ -x "$UPDATE_MENUS" ]; then
+ update-menus
+fi